你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Private Endpoint Connections - Create Or Update

更新与设备更新帐户关联的指定专用终结点连接的状态。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DeviceUpdate/accounts/{accountName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2023-07-01

URI 参数

名称 必需 类型 说明
accountName
path True

string

minLength: 3
maxLength: 24
pattern: ^[A-Za-z0-9]+(-[A-Za-z0-9]+)*$

帐户名称。

privateEndpointConnectionName
path True

string

与 Azure 资源关联的专用终结点连接的名称

resourceGroupName
path True

string

资源组名称。

subscriptionId
path True

string

Azure 订阅 ID。

api-version
query True

string

ADU 架构 API 版本。

请求正文

名称 必需 类型 说明
properties.privateLinkServiceConnectionState True

PrivateLinkServiceConnectionState

有关服务使用者与提供程序之间的连接状态的信息集合。

properties.groupIds

string[]

组 ID 的数组。

properties.privateEndpoint

PrivateEndpoint

专用终结点的资源。

响应

名称 类型 说明
201 Created

PrivateEndpointConnection

请求成功;作将以异步方式完成。

Other Status Codes

ErrorResponse

描述作失败原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

PrivateEndpointConnectionCreateOrUpdate

示例请求

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/test-rg/providers/Microsoft.DeviceUpdate/accounts/contoso/privateEndpointConnections/peexample01?api-version=2023-07-01

{
  "properties": {
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Auto-Approved"
    }
  }
}

示例响应

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/test-rg/providers/Microsoft.DeviceUpdate/accounts/contoso/privateEndpointConnections/peexample01",
  "name": "peexample01",
  "type": "Microsoft.DeviceUpdate/accounts/privateEndpointConnections",
  "properties": {
    "provisioningState": "Succeeded",
    "privateEndpoint": {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/test-rg/providers/Microsoft.Network/privateEndpoints/peexample01"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Auto-Approved",
      "actionsRequired": "None"
    },
    "groupIds": [
      "groupId"
    ]
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

PrivateEndpoint

专用终结点资源。

PrivateEndpointConnection

专用终结点连接资源。

PrivateEndpointConnectionProvisioningState

当前预配状态。

PrivateEndpointServiceConnectionStatus

专用终结点连接状态。

PrivateLinkServiceConnectionState

有关服务使用者与提供程序之间的连接状态的信息集合。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

PrivateEndpoint

专用终结点资源。

名称 类型 说明
id

string

专用终结点的 ARM 标识符

PrivateEndpointConnection

专用终结点连接资源。

名称 类型 说明
id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

资源的名称

properties.groupIds

string[]

组 ID 的数组。

properties.privateEndpoint

PrivateEndpoint

专用终结点的资源。

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

有关服务使用者与提供程序之间的连接状态的信息集合。

properties.provisioningState

PrivateEndpointConnectionProvisioningState

专用终结点连接资源的预配状态。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

PrivateEndpointConnectionProvisioningState

当前预配状态。

说明
Succeeded
Creating
Deleting
Failed

PrivateEndpointServiceConnectionStatus

专用终结点连接状态。

说明
Pending
Approved
Rejected

PrivateLinkServiceConnectionState

有关服务使用者与提供程序之间的连接状态的信息集合。

名称 类型 说明
actionsRequired

string

一条消息,指示服务提供商上的更改是否需要对使用者进行任何更新。

description

string

批准/拒绝连接的原因。

status

PrivateEndpointServiceConnectionStatus

指示连接是否已被服务的所有者批准/拒绝/删除。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。